package cn.hanghui.outapi.platform.alipay.constant;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * 终端人脸识别应用参数
 */
@Data
@Component
@PropertySource(value = {"classpath:alipay-${project-name}.yml"})
@ConfigurationProperties(prefix = "out-api.alipay.application.face")
public class AlipayFaceAuthParam {

    @Value("${appid}")
    private String appid;

    @Value("${aliapp-private-key}")
    private String privateKey;

    @Value("${alipay-public-key}")
    private String alipayPublicKey;

    @Value("${gateway}")
    private String gateway;
}
