package cn.hanghui.outapi.platform.alipay.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.dto
 * @class AlipayUserInfoReqDto
 * @date 2023/6/13 下午1:20
 * @description
 */
@Data
public class AlipayUserInfoReqDto {


    /**
     * 兼容版本字段
     */
    @ApiModelProperty(value = "用户授权码")
    private String authCode;


    /**
     * ------------------最新版本字段---------------------------
     * /
     * <p>
     * /**
     * 1刷证(checkWay = card)
     * 2扫码(checkWay = qrCode)
     * 3人证1:1请求事件(checkway = personCard)
     * 41:N刷脸请求事件(checkWay = scanFace)
     */
    @ApiModelProperty(value = "用户id，封闭场景下才有")
    private String alipayUid;

    @ApiModelProperty(value = "checkWay=0或者3 时候ISV的透传参数")
    private String cardname;

    @ApiModelProperty(value = "checkWay=0或者3 时候ISV的透传参数 身份证号")
    private String cardnumber;

    @ApiModelProperty(value = "1000")
    private String code;

    /**
     * 可能包含 authCode，获取 authCode 的方式可查看示例代码
     * \{"authCode":"1b32c585c30144a780010fc0c939AX16"}
     */
    @ApiModelProperty(value = "调用服务结果")
    private Object extInfo;

    /**
     * 人脸ftoken查询消费接口时使用
     */
    @ApiModelProperty(value = "ftoken")
    private String ftoken;

    private String isvResult;

    @ApiModelProperty(value = "checkWay=1 时候ISV的透传参数")
    private String qrcode;

    /**
     * 根据设备号查询服务商获取授权auto_token和auth_code
     */
    @ApiModelProperty(value = "设备号")
    private String sn;

    @ApiModelProperty(value = "E00000")
    private String subCode;

    @ApiModelProperty(value = "成功")
    private String subMessage;

    @ApiModelProperty(value = "用户自定义参数id唯一")
    private String vid;

    @ApiModelProperty(value = "支付宝小程序appId")
    private String appId;


}
