package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class IotDeviceConfigPageDto
 * @date 2023/12/5 下午1:36
 * @description
 */
@Data
public class IotDeviceAppletConfigVo {

    /*设备上不可以修改的设备参数*/
    @ApiModelProperty("设备编号")
    private String sn;
    @ApiModelProperty("购买方公司名称")
    private String companyName;
    @ApiModelProperty(value = "应用类型")
    private String applicationType;
    @ApiModelProperty(value = "设备型号(硬件)")
    private String deviceModelHardware;
    @ApiModelProperty(value = "设备型号(环境)")
    private String deviceModelEnvironment;
    @ApiModelProperty(value = "系统类型")
    private String systemType;
    @ApiModelProperty(value = "ampe平台名称")
    private String ampeName;
    @ApiModelProperty(value = "服务商平台名称")
    private String tenantName;
    @ApiModelProperty(value = "用户库名称")
    private String userLibName;;
    @ApiModelProperty(value = "场景名称")
    private String sceneName;
    @ApiModelProperty(value = "模式")
    private String mode;
    /*设备上可以修改的设备参数*/
    @ApiModelProperty(value = "启用支付宝刷脸功能 false-不启用 true-启用(默认)")
    private Boolean useAlipayFace;
    @ApiModelProperty(value = "启用身份证功能 false-不启用 true-启用(默认)")
    private Boolean useIdcard;

    @Deprecated
    @ApiModelProperty(value = "身份证阅读器模式 1-在线身份证(默认) 2-离线身份证")
    private Integer idNumberReaderType;
    @ApiModelProperty(value = "启用二维码功能 false-不启用 true-启用(默认)")
    private Boolean useQrcode;
    @ApiModelProperty(value = "设备状态推送地址")
    private String heartTrackingUrl;
    @ApiModelProperty(value = "设备管理员密码")
    private String mpassword;
    @ApiModelProperty(value = "隐藏底部导航栏 false-不启用(默认) true-启用")
    private Boolean hideNavigationBar;
    @ApiModelProperty(value = "禁止下拉通知栏 false-不启用(默认) true-启用")
    private Boolean forbidPullDown;
    @ApiModelProperty(value = "应用是否自启动 false-不启用(默认) true-启用")
    private Boolean autoLaunch;
    @ApiModelProperty(value = "是否自动进入小程序 false-不启用(默认) true-启用")
    private Boolean automaticEnterApplet;
    @ApiModelProperty(value = "启动页图片")
    private String startPageUrl;
    @ApiModelProperty(value = "应用首页图片")
    private String homePageUrl;
    @ApiModelProperty(value = "预览角度")
    private Integer displayAngle;
    @ApiModelProperty(value = "送算法的图像角度")
    private Integer algorithmAngle;
    @ApiModelProperty(value = "用于ir摄像头算法角度")
    private Integer supAlgorithmAngle;
    @ApiModelProperty(value = "预览图像是否需要镜像 false-不启用(默认) true-启用")
    private Boolean isDisplayMirror;
    @ApiModelProperty(value = "送算法图像是否镜像 false-不启用(默认) true-启用")
    private Boolean isMirror;

    //ampe参数
    @ApiModelProperty(value = "产品ID(product_id)")
    private String productId;
    @ApiModelProperty(value = "调用应用（ampe_appid）")
    private String ampeAppid;
    @ApiModelProperty(value = "小程序AppId（miniProgram_appid）")
    private String miniProgramAppid;
    @ApiModelProperty(value = "小程序名称")
    private String appName;
    @ApiModelProperty("signature")
    private String signature;
    //服务商
    @ApiModelProperty(value = "设备appId")
    private String machineAppId;
    @ApiModelProperty(value = "商户appId")
    private String serviceAppId;
    @ApiModelProperty(value = "商户平台地址")
    private String serviceAddress;
    @ApiModelProperty(value = "商户授权通过auth_code获取")
    private String appAuthToken;
    @ApiModelProperty(value = " 三方授权之后获取token状态默认true:有效 false:无效")
    private Boolean appAuthTokenStatus;
    @ApiModelProperty(value = "是否是三方授权 默认false")
    private Boolean thirdAuth;
    @ApiModelProperty(value = "设备appId")
    private String abcpAppId;
    //场景
    @ApiModelProperty(value = "场景参数（TRAFFIC/COMPANY）")
    private String trade;
    //用户库
    @ApiModelProperty(value = "⽤⼾库ID --填写")
    private String groupId;

    @ApiModelProperty(value = "在线日志推送地址")
    private String logPushUrl;
    /**
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.CameraTypeEnum
     */
    @ApiModelProperty(value = "摄像头类型 IR-双目  3D-3D结构光 ")
    private String cameraType;
    /**
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.CameraBrandEnum
     */
    @ApiModelProperty(value = "品牌 Normal-通用   Mario-马里奥")
    private String cameraBrand;

    @ApiModelProperty(value = "是否应用侧获取三要素 false-否 true-是")
    private Boolean isAppGetUserInfo;

    @ApiModelProperty(value = "身份证阅读器品牌 IdCardReaderBrandEnum")
    private Integer idCardReaderBrand;

    @ApiModelProperty(value = "是否开启手动输入证件号 默认false")
    private Boolean manualInIdCard;

    @ApiModelProperty(value = "开启手动输入证件号的密钥信息")
    private ManualInIdCardAuthDto manualInIdCardAuth;


    @ApiModelProperty(value = "是否开启打印机 默认false")
    private Boolean isOpenPrinter;
    /**
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.PrinterConfigEnum
     */
    @ApiModelProperty(value = "HHArome打印机接口配置")
    private Integer printerConfig;

    @ApiModelProperty(value = "到期日期")
    private LocalDate expirationDate;

    @ApiModelProperty(value = "语音音量 0-100 默认值80")
    private Integer volume;

    @ApiModelProperty(value = "小程序入口页面地址")
    private String appletEnterPageUrl;

}
