package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class AppApkDeviceTask
 * @date 2023/10/8 下午2:53
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "app_apk_device_task", autoResultMap = true)
public class AppApkDeviceTask extends Base {

    /**
     * 设备号
     */
    private String sn;

    /**
     * 安装包id
     */
    private Long appApkId;

    /**
     * 安装包名称
     */
    private String apkTitle;

    /**
     * 安装包版本
     */
    private String apkVersion;

    /**
     * 安装包的地址
     */
    private String apkPath;

    /**
     * 安装任务状态 0:等待中 1:下载中 2:完成 3:已取消
     */
    private Integer status;

    /**
     * 设备请求时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date requestTime;

    /**
     * 设备安装完成时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date installTime;
}
