package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class IotPlatformAuth
 * @date 2023/6/9 下午1:32
 * @description iot用户三要素授权平台表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "iot_platform_auth", autoResultMap = true)
public class IotPlatformAuth extends Base {

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 场景
     */
    private String scene;

    /**
     * 联系人
     */
    private String contactPerson;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 派出所名称
     */
    private String pcsName;

    /**
     * 派出所编码
     */
    private String pcsCode;
    /**
     * 区域名称
     */
    private String areaName;
    /**
     * 数据源
     */
    private String dataSource;
    /**
     * 请求验证token
     */
    private String token;

    /**
     * 总调用次数 默认-1不限制
     */
    private Integer reqTimesLimit;

    /**
     * 已调用次数 默认0
     */
    private Integer usedReqTimes;

    /**
     * 是否可用 true/false
     */
    private Boolean status;


}
