package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class IotUserInfo
 * @date 2023/6/9 下午1:27
 * @description iot用户三要素表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "iot_user_info", autoResultMap = true)
public class IotUserInfo extends Base {

    /**
     * 证件类型，IDENTITY_CARD身份证，PASS_PORT护照，STU_NUM学生学号，COMPANY_NUM工号，TAIWAN_CARD台胞证，HK_MC_CARD港澳证件
     */
    private String certType;

    /**
     * 证件号码
     */
    private String certNo;

    /**
     * 用户姓名
     */
    private String certName;

    /**
     * 支付宝绑定手机号
     */
    private String phone;

    /**
     * 用户user_id唯一标识
     */
    private String taskId;

    /**
     * 推送地址
     */
    private String pushUrl;

    /**
     * token
     */
    private String token;

    @ApiModelProperty(value = "支付宝userId")
    private String userId;


}
