package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class OpenInterfaceAuth
 * @date 2024/1/17 下午1:17
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "open_interface_auth", autoResultMap = true)
public class OpenInterfaceAuth extends Base {

    /**
     * appId 32位 9805f4fb52a90a6941935fc3290673f4
     */
    private String appId;

    /**
     * 权限校验的appKey
     */
    private String appKey;
    /**
     * 权限校验的appSecret
     */
    private String appSecret;

    /**
     * 权限校验的privateKey 16位随机数 包含字母和数据
     */
    private String privateKey;

    @ApiModelProperty(value = "购买方公司id")
    private Long purchaserId;

    /**
     * 是否开启返回详细信息 0关闭 1开启 默认1开启
     */
    private Boolean resultInfoSwitch;

    /**
     * InterfaceTypeEnum 接口类型 0:风险评分
     */
    private Integer interfaceType;

    /**
     * 调用次数 null不限制
     */
    private Integer limitTimes;

    /**
     * 已调用次数
     */
    private Integer hadReqTimes;

    /**
     * 单位时间调用频次 0或null不限制
     */
    private Integer limitFrequency;

    /**
     * 调用频次单位时间 单位秒 0或null不限制
     */
    private Integer limitFrequencyTime;

    /**
     * 最后一次请求时间
     */
    private Date latestReqTime;

    /**
     * 是否启用0:未启用 1:启用
     */
    private Boolean status;

    /**
     * 描述
     */
    private String description;

    /**
     * 接口授权额外限制参数 json string
     */
    private String extendParams;


}
