package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class ProvisionalIdentityProofSpecialCode
 * @date 2024/7/31 上午9:24
 * @description
 */
@Data
@TableName(value = "provisional_identity_proof_special_code", autoResultMap = true)
public class ProvisionalIdentityProofSpecialCode extends Base {
    @ApiModelProperty(value = "购买方公司")
    private Long purchaserId;
    @ApiModelProperty(value = "二维码CODE编码 根据购买方公司id+用户身份证 加密生成")
    private String qrCodeNo;
    @ApiModelProperty(value = "姓名")
    private String certName;
    @ApiModelProperty(value = "证件号")
    private String certNo;
    @ApiModelProperty(value = "手机号")
    private String phone;
    @ApiModelProperty(value = "照片 网络地址")
    private String photo;
    @ApiModelProperty(value = "开始时间 格式：2024-07-31")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startDate;
    @ApiModelProperty(value = "结束时间 格式：2024-07-31")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date endDate;
    @ApiModelProperty(value = "签发时间yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date issuingTime;
    /**
     *  20240815产品说不是必填项 以后有商务法务问题开发概不负责
     */
    @ApiModelProperty(value = "签发单位")
    private String issuingAuthority;

}
