package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.blacklist.*;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.service
 * @class UserBlacklistService
 * @date 2024/8/29 上午9:51
 * @description
 */
public interface UserBlacklistService {
    /**
     * 导入黑名单
     *
     * @param datas
     * @param taskName
     * @param purchaserId
     * @return
     */
    RestResult<List<String>> importBlacklist(List<Object> datas, String taskName, Long purchaserId);

    /**
     * 获取黑名单任务列表
     *
     * @param dto
     * @return
     */
    RestResult<IPage<UserBlacklistTaskVo>> page(UserBlacklistTaskSearch dto);

    /**
     * 获取黑名单
     *
     * @param dto
     * @return
     */
    RestResult<IPage<UserBlacklistBean>> upage(UserBlacklistSearch dto);

    /**
     * 获取黑名单列表
     *
     * @param dto
     * @return
     */
    RestResult<List<UserBlacklistBean>> queryBlacklist(UserBlacklistOpenSearch dto);

    /**
     * 删除黑名单任务
     *
     * @param taskId
     * @return
     */
    RestResult<Boolean> del(Long taskId);

    RestResult<List<UserBlacklistTaskLessVo>> list(UserBlacklistTaskListSearch dto);
}
