package cn.hanghui.outapi.platform.xinghuo.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.xinghuo.entity.dto
 * @class SpecialCodeUserInfoResp
 * @date 2024/7/30 下午3:03
 * @description
 */
@Data
public class SpecialCodeUserInfoResp implements Serializable {

    @ApiModelProperty(value = "姓名")
    private String certName;

    @ApiModelProperty(value = "证件号码")
    private String certNo;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "照片 网络地址")
    private String photo;

    @ApiModelProperty(value = "照片base64")
    private String photoBase64;

    @ApiModelProperty(value = "开始时间 格式：2024-07-31")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startDate;
    @ApiModelProperty(value = "结束时间 格式：2024-07-31")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date endDate;
    @ApiModelProperty(value = "签发时间yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date issuingTime;
    /**
     *  20240815产品说不是必填项 以后有商务法务问题开发概不负责
     */
    @ApiModelProperty(value = "签发单位")
    private String issuingAuthority;

}
